> For the complete documentation index, see [llms.txt](https://docs.coherent.global/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherent.global/spark-apis/service-apis/list-service-versions.md).

# List service versions

Get all details about every service version.

Returns: Returns all service versions.

{% code overflow="wrap" %}

```shellscript
GET /api/v1/product/{folder}/engines/getversions/{service}?
```

{% endcode %}

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.
* API key created from [Authorization - API keys](/spark-apis/authorization-api-keys.md). It must contain [Manage users](/tenant-administration/manage-users.md#user-groups) that are also assigned to [Permissions - Features permissions](/spark-apis/authorization-api-keys/permissions-features-permissions.md) `Spark.GetVersions.json` or `Spark.AllEncompassingProxy.json`.
  * The request headers should include the keys `x-synthetic-key` and `x-tenant-name` with the API key and tenant name respectively.

### Path parameters

| Key          | Value                                |
| ------------ | ------------------------------------ |
| `folder` \*  | Folder associated with the request.  |
| `service` \* | Service associated with the request. |

### Query parameters <a href="#api-response" id="api-response"></a>

Supported operators `lt` (`<`), `lte` (`≤`), `gt` (`>`), `gte` (`≥`).

| Key                  | Value                                                                                                                                                                                                                                                       |
| -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `createdAt`          | <p>Filter by the created date of the service version. Repeatable.<br>Example 1: <code>?createdAt=gt:2026-01-01\&createdAt=lt:2027-01-01</code><br>Example 2: <code>?createdAt=gt:2026-07-01T00:00:00Z</code></p>                                            |
| `effectiveStartDate` | <p>Filter by the <em>Effective from</em> date of the service version. Repeatable.<br>Example 1: <code>?effectiveStartDate=gt:2026-01-01\&effectiveStartDate=lt:2027-01-01</code><br>Example 2: <code>?effectiveStartDate=gt:2026-07-01T00:00:00Z</code></p> |
| `effectiveEndDate`   | <p>Filter by the <em>Effective until</em> date of the service version. Repeatable.<br>Example 1: <code>?effectiveEndDate=gt:2026-01-01\&effectiveEndDate=lt:2027-01-01</code><br>Example 2: <code>?effectiveEndDate=gt:2026-07-01T00:00:00Z</code></p>      |
| `revision`           | <p>Filter by the version number.<br>Example 1: <code>4.15.2</code><br>Example 2: <code>1.4</code> all versions that start with <code>1.2.</code><br>Example 3: <code>1</code> all versions that start with <code>1.</code></p>                              |

### Sample response <a href="#api-response" id="api-response"></a>

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "message": null,
    "data": [
        {
            "id": "76629732-ec95-4ec1-a48b-9455ae1d06c0",
            "createdAt": "2024-08-12T05:59:41.267282+00:00",
            "engine": "SUMAB",
            "revision": "0.5.0",
            "effectiveStartDate": "2024-07-22T00:54:00Z",
            "effectiveEndDate": "2124-07-22T00:54:00Z",
            "isActive": true,
            "releaseNote": null,
            "childEngines": null,
            "versionLabel": null,
            "defaultEngineType": "Neuron",
            "tags": "",
            "product": "Mathematics",
            "author": "myuser@mydomain.com",
            "originalFileName": "SUMAB.xlsx"
        },
        {
            "id": "863b818a-63b5-4372-ae76-890a8d73e27f",
            "createdAt": "2024-08-12T05:58:33.719893+00:00",
            "engine": "SUMAB",
            "revision": "0.4.0",
            "effectiveStartDate": "2024-07-22T00:54:00Z",
            "effectiveEndDate": "2124-07-22T00:54:00Z",
            "isActive": false,
            "releaseNote": null,
            "childEngines": null,
            "versionLabel": null,
            "defaultEngineType": "Neuron",
            "tags": "",
            "product": "Mathematics",
            "author": "myuser@mydomain.com",
            "originalFileName": "SUMAB.xlsx"
        }
    ]
}
```
